<?php
/**
 * Leaderboard Controller
 */
class Leaderboard extends Controller
{
    /**
     * Process
     */
    public function process()
    {    

		$AuthUser		= $this->getVariable("AuthUser");
		$Route			= $this->getVariable("Route");
        $Settings       = $this->getVariable("Settings");

 
        $Config['title']        = get($Settings,'data.title','seo');
        $Config['description']  = get($Settings,'data.description','seo');
        $Config['type']         = 'people';

        $Listings = $this->db->from('users')->orderby('xp','DESC')->limit(0,10)->all();

        $this->setVariable("Config", $Config);   
        $this->setVariable("Listings", $Listings);   

        $this->view("leaderboard", "app");
    }

}